"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppDataSource = void 0;
const typeorm_1 = require("typeorm");
const model_1 = require("./model");
exports.AppDataSource = new typeorm_1.DataSource({
    type: 'sqlite',
    database: 'db/experiment.db',
    synchronize: true,
    entities: [
        model_1.ExperimentModel,
        model_1.DeviceModel,
        model_1.ServiceConfigurationModel,
        model_1.PeerconnectionModel,
        model_1.ParticipantModel,
        model_1.RoleModel,
    ],
    //migrations: [PeerconnectionStatus1670225182011],
    //migrationsRun: true
});
//# sourceMappingURL=data_source.js.map