"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteExperimentModelById = void 0;
const repositories_1 = require("../repositories");
/**
 * This function attempts to delete a given experiment model.
 * @param experimentModelId The id of the experiment model to be deleted.
 */
async function deleteExperimentModelById(experimentModelId) {
    return await repositories_1.experimentRepository.softDelete({ uuid: experimentModelId });
}
exports.deleteExperimentModelById = deleteExperimentModelById;
//# sourceMappingURL=delete.js.map