"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.peerconnectionRepository = exports.deviceRepository = exports.serviceConfigurationRepository = exports.participantRepository = exports.roleRepository = exports.experimentRepository = void 0;
const data_source_1 = require("./data_source");
const model_1 = require("./model");
/**
 * Repository for experiment models.
 */
exports.experimentRepository = data_source_1.AppDataSource.getRepository(model_1.ExperimentModel);
/**
 * Repository for role models.
 */
exports.roleRepository = data_source_1.AppDataSource.getRepository(model_1.RoleModel);
/**
 * Repository for participant models.
 */
exports.participantRepository = data_source_1.AppDataSource.getRepository(model_1.ParticipantModel);
/**
 * Repository for service configuration models.
 */
exports.serviceConfigurationRepository = data_source_1.AppDataSource.getRepository(model_1.ServiceConfigurationModel);
/**
 * Repository for device models.
 */
exports.deviceRepository = data_source_1.AppDataSource.getRepository(model_1.DeviceModel);
/**
 * Repository for peerconnection models.
 */
exports.peerconnectionRepository = data_source_1.AppDataSource.getRepository(model_1.PeerconnectionModel);
//# sourceMappingURL=repositories.js.map